function vect = spacedvector(spacing, nPoints)
% SPACEDVECTOR Returns a vector based on chosen spacing and number of points

switch spacing
    case 'linear'
        vect = linspace(0, 1, (nPoints));
    case 'halfcosine'
        beta = linspace(0, pi, (nPoints));
        vect = (1-cos(beta))/2;
    case 'cosine'
        beta = linspace(0, pi/2, (nPoints));
        vect = 1-cos(beta);
end

end
