function [alphaTrim, clTrim, cdTrim] = trimtorange(range, alpha, cl, cd)
% TRIMTORANGE Trims polars to a given range of angles of attack.
% -----
% Copyright 2022 Thomas Lambert <t.lambert@uliege.be>
% ULiege - Aeroelasticity and Experimental Aerodynamics
% Apache 2.0 License
% https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox
% ------------------------------------------------------------------------------

narginchk(2,4);
for i = 1:size(alpha,2)
    if nargin >= 3
        clTrim(:,i) = cl(alpha(:,i) >= range(1) & alpha(:,i) <= range(end), i);
        if nargin == 4 && ~isempty(cd)
            cdTrim(:,i) = cd(alpha(:,i) >= range(1) & alpha(:,i) <= range(end), i);
        else
            cdTrim = [];
        end
    else
        nargoutchk(1,1);
    end
    alphaTrim(:,i) = alpha(alpha(:,i) >= range(1) & alpha(:,i) <= range(end), i);
end

% If impossible to trim, just return the input
if isempty(alphaTrim)
    alphaTrim = alpha;
    clTrim = cl;
    cdTrim = cd;
end

end
